import java.net.*;
import java.io.*;


public class StarHole {

  public static int listening_port = 33000;

  public static void main(String args[]) {

    ServerSocket serverSocket = null;

    try {
      listening_port = Integer.parseInt(args[0]);
    } catch (Exception e) { }

    try {
       serverSocket = new ServerSocket(listening_port);
    } catch (IOException e) {
        System.out.println("Fatal error! Star Hole Server can not be started!\n"+
        "Error opening socket on port " + listening_port + " for listening.");
        System.exit(0);
      }

    System.out.println("Star Hole Server on port "+listening_port+" started.");
    // Listen for client connection and process client with ClientThread class
    while (true) {
      try {
         Socket clientSocket = serverSocket.accept();
         ClientThread clThread = new ClientThread(clientSocket);
         clThread.start();
      } catch (IOException e) { }
    }

  }

}
